function WarlockTimerFu:Cursesetup()
self:AddRule("Curses", "Curse of Agony" ,{time = 24})
self:AddRule("Curses", "Curse of Doom" ,{time = 60})
self:AddRule("Curses", "Curse of Recklessness", {time = 120})
self:AddRule("Curses", "Curse of Shadow", {time = 300})
self:AddRule("Curses", "Curse of Tongues", {time = 30})
self:AddRule("Curses", "Curse of Weakness", {time = 120})
self:AddRule("Curses", "Curse of the Elements", {time = 300})
self:AddRule("Curses", "Curse of Exhaustion", {time = 12}) 
end

tinsert(WarlockTimerFu.timers, WarlockTimerFu.Cursesetup)

--USAGE. (group, name, { time = "base time", d={[cp = combo point multiplyer, tn = talent tree table, tb = efect of talents, tp = percentage effect of talents, to =  if not talent then dont use, ]}, [event = "use blizzards spell finished event"]